
from abc import ABC, abstractmethod

class Animal():
    def __init__(self, name):
        self.name = name

    def eat(self):
        print(f"Animal {self.name} eats")

class FourLegged(ABC):
    @abstractmethod
    def run(self, destination):
        pass

class OxygenBreather(ABC):
    @abstractmethod
    def breath(self):
        pass

class Cat(Animal, FourLegged, OxygenBreather):
    def __init__(self, name):
        super().__init__(name)

    def run(self, destination):
        print(f"Cat {self.name} runs to {destination}")

    def breath(self):
        print(f"Cat {self.name} breaths")


cat_1 = Cat("Minka")
cat_1.run("Hall")
cat_1.eat()